<?php   defined('SYSPATH') OR die('Доступ запрещен. Access denied.');

$brouser_cache_meta_tags = '';

// html-заголовки 
header('Content-Type: text/html; charset='.CHARSET);

if ( ! BROUSER_CACHE)
{
	header ( 'Cache-Control: no-store, no-cache, must-revalidate' );	// HTTP/1.1
	header ( 'Cache-Control: post-check=0, pre-check=0', FALSE ); // HTTP/1.1
	header ( 'Pragma: no-cache' ); // HTTP/1.0
	$brouser_cache_meta_tags .= '
		<meta http-equiv="Cache-Control" content="no-store, no-cache, must-revalidate" />
		<meta http-equiv="Pragma" content="no-cache" />
	';
}

$store_days = 10; //желаемая периодичность переиндексации поисковиками (в днях)
if ( ! BROUSER_CACHE) $store_days = 0.01;
$second_of_day = 60*60*24;
$last_modified_date = gmdate ( 'D, d M Y H:i:s' , floor ( time () / $second_of_day / $store_days ) * $second_of_day * $store_days ) . ' GMT';
$expires_date = gmdate ( 'D, d M Y H:i:s' , ceil ( time () / $second_of_day / $store_days ) * $second_of_day * $store_days ) . ' GMT';
header ( 'Last-Modified: ' . $last_modified_date );
header ( 'Expires: ' . $expires_date );

$brouser_cache_meta_tags .= '
	<meta http-equiv="Last-Modified" content="'.$last_modified_date.'" />
	<meta http-equiv="Expires" content="'.$expires_date.'" />
';

unset($store_days, $second_of_day, $last_modified_date, $expires_date);


/*
Copyright © 2009 Максим Зимин (MacMax) macmax.ru

Программа защищена законами и международными соглашениями о правах на интеллектуальную собственность. 
Данная программа лицензируется и распространяется БЕСПЛАТНО.
Если закон страны или области Вашего проживания запрещает Вам использовать программу, 
или программа не допускается к использованию в Вашей стране или Вашей области проживания, 
воздержитесь от использования программы.

Разрешается повторное распространение и использование как в виде исходника так и в двоичной форме, 
с модификациями или без, при соблюдении следующих условий:
	1.	При повторном распространении исходного кода должно оставаться указанное выше уведомление об авторском праве, 
			этот список условий и нижеследующий отказ от гарантий.
	2.	При повторном распространении двоичного кода должно воспроизводиться указанное выше уведомление об авторском праве, 
			этот список условий и нижеследующий отказ от гарантий в документации и/или в других материалах, 
			поставляемых при распространении.
	3.	Ни название сайта macmax.ru, ни имена его владельцев и держателей не могут быть использованы 
			в качестве поддержки или продвижения продуктов, основанных на этом программном обеспечении 
			без предварительного письменного разрешения.

ЭТА ПРОГРАММА ПРЕДОСТАВЛЕНА БЕСПЛАТНО ДЕРЖАТЕЛЯМИ АВТОРСКИХ ПРАВ И/ИЛИ ДРУГИМИ СТОРОНАМИ «КАК ОНА ЕСТЬ» 
БЕЗ КАКОГО-ЛИБО ВИДА ГАРАНТИЙ, ВЫРАЖЕННЫХ ЯВНО ИЛИ ПОДРАЗУМЕВАЕМЫХ, ВКЛЮЧАЯ, НО НЕ ОГРАНИЧИВАЯСЬ ИМИ, 
ПОДРАЗУМЕВАЕМЫЕ ГАРАНТИИ КОММЕРЧЕСКОЙ ЦЕННОСТИ И ПРИГОДНОСТИ ДЛЯ КОНКРЕТНОЙ ЦЕЛИ. 
НИ В КОЕМ СЛУЧАЕ, ЕСЛИ НЕ ТРЕБУЕТСЯ СООТВЕТСТВУЮЩИМ ЗАКОНОМ, ИЛИ НЕ УСТАНОВЛЕНО В УСТНОЙ ФОРМЕ, 
НИ ОДИН ДЕРЖАТЕЛЬ АВТОРСКИХ ПРАВ И НИ ОДНО ДРУГОЕ ЛИЦО, КОТОРОЕ МОЖЕТ ИЗМЕНЯТЬ И/ИЛИ ПОВТОРНО 
РАСПРОСТРАНЯТЬ ПРОГРАММУ, КАК БЫЛО РАЗРЕШЕНО ВЫШЕ, НЕ ОТВЕТСТВЕННЫ ПЕРЕД ВАМИ ЗА УБЫТКИ, 
ВКЛЮЧАЯ ЛЮБЫЕ ОБЩИЕ, СЛУЧАЙНЫЕ, СПЕЦИАЛЬНЫЕ ИЛИ ПОСЛЕДОВАВШИЕ УБЫТКИ, 
ПРОИСТЕКАЮЩИЕ ИЗ ИСПОЛЬЗОВАНИЯ ИЛИ НЕВОЗМОЖНОСТИ ИСПОЛЬЗОВАНИЯ ПРОГРАММЫ (ВКЛЮЧАЯ, 
НО НЕ ОГРАНИЧИВАЯСЬ ПОТЕРЕЙ ДАННЫХ, ИЛИ ДАННЫМИ, СТАВШИМИ НЕПРАВИЛЬНЫМИ, 
ИЛИ ПОТЕРЯМИ ПРИНЕСЁННЫМИ ИЗ-ЗА ВАС ИЛИ ТРЕТЬИХ ЛИЦ, ИЛИ ОТКАЗОМ ПРОГРАММЫ РАБОТАТЬ СОВМЕСТНО С ДРУГИМИ ПРОГРАММАМИ), 
ДАЖЕ ЕСЛИ ТАКОЙ ДЕРЖАТЕЛЬ ИЛИ ДРУГОЕ ЛИЦО БЫЛИ ИЗВЕЩЕНЫ О ВОЗМОЖНОСТИ ТАКИХ УБЫТКОВ.

*/
?>