<?php   defined('SYSPATH') OR die('Доступ запрещен. Access denied.');

/*
$query_string = ''; // все переданные параметры
$current_uri  = ''; // почищенная строка с запрошенным адресом и дополнительными параметрами
$complete_query = ''; // строка с параметрами (при вызове через URL rewriting не используется)
$complete_uri = ''; // запрошенный URI
$complete_dirname = ''; // имя запрошенной папки
$complete_filename = ''; // имя запрошенного файла
*/

/*
сборка страницы
*/


// массив с выводимыми значениями
$output = array(
	'server_name' => $_SERVER['SERVER_NAME'], // имя сервера
	'web_root' => WEBROOT, // URI папки корня проекта
	'uri_prefix' => URI_PREFIX, // URI-префикс для построения абсолютных ссылок на страницы
	'uri' => $complete_uri, // запрошенный URI
	'dirname' => $complete_dirname, // имя запрошенной папки
	'filename' => $complete_filename, // имя запрошенного файла
	'brouser_cache_meta_tags' => $brouser_cache_meta_tags, // мета-теги отмены кэширования и дат. если отмена выключена, только теги дат
); 

// формирование массива $input
$input = array ();

// выводимый код
$input['html_code'] = ''; 
// содержимое файла по умолчанию
$input['html_default'] = get_file(HTMLPATH.'default_html'.EXT_HTML); 
// содержимое зпрошенного файла
$input['html_source'] = get_file(HTMLPATH.$complete_uri); 
// имя темплейта
$input['template_name'] = $get_tag = specialchars( get_html_tag($input['html_source'], 'template_name') );
if ($input['template_name']==='') $input['template_name'] = 'default_template';
if ( ! file_exists(TEMPLPATH.$input['template_name'].EXT_HTML) OR ! is_file(TEMPLPATH.$input['template_name'].EXT_HTML) ) $input['template_name'] = 'default_template';
if ($get_tag==='without_template!') $input['template_name'] = $output['filename'];

// подгрузка шаблона
$input['html_code'] = get_file(TEMPLPATH.$input['template_name'].EXT_HTML, $input['html_code']);
if ($get_tag==='without_template!') $input['html_code'] = get_file(HTMLPATH.trim($complete_dirname,'&/').DIRECTORY_SEPARATOR.$input['template_name'], $input['html_code']);

// подгрузка переменных из output
$input['html_code'] = print_var_to_text($input['html_code'], $output, '#{$', '}');

// подгрузка тегов
preg_match_all('/\#\{\%(.*)\}/isU', $input['html_code'], $matches, PREG_SET_ORDER);
foreach ($matches as $key => $value)
{
	$search = $value[0];
	$replase = specialchars($value[1]);
	$replase_value = ''; 
	$replase_value = get_html_tag($input['html_source'], $replase);
	if ($replase_value==='') $replase_value = get_html_tag($input['html_default'], $replase);
	$input['html_code'] = str_replace($search, $replase_value, $input['html_code']);
}

// подгрузка файлов
preg_match_all('/\#\{\^(.*)\}/isU', $input['html_code'], $matches, PREG_SET_ORDER);
foreach ($matches as $key => $value)
{
	$search = $value[0];
	$replase = specialchars($value[1]);
	$replase_value = ''; 
	$replase_value = get_file(HTMLPATH.trim($complete_dirname,'&/').DIRECTORY_SEPARATOR.$replase.EXT_HTML,$replase_value);
	if ($replase_value==='') $replase_value = get_file(HTMLPATH.$replase.EXT_HTML,$replase_value);
	if ($replase_value==='') $replase_value = get_file(TEMPLPATH.$replase.EXT_HTML,$replase_value);
	$input['html_code'] = str_replace($search, $replase_value, $input['html_code']);
}

// поиск и загрузка предварительного обработчика
if ( file_exists(HTMLPATH.trim($complete_dirname,'&/').DIRECTORY_SEPARATOR.$complete_php_filename) AND is_file(HTMLPATH.trim($complete_dirname,'&/').DIRECTORY_SEPARATOR.$complete_php_filename) )
{
	require_once (HTMLPATH.trim($complete_dirname,'&/').DIRECTORY_SEPARATOR.$complete_php_filename);
} elseif ( file_exists(HTMLPATH.'default_php'.EXT) AND is_file(HTMLPATH.'default_php'.EXT) ) 
{
	require_once (HTMLPATH.'default_php'.EXT);
} elseif ( file_exists(TEMPLPATH.'default_php'.EXT) AND is_file(TEMPLPATH.'default_php'.EXT) ) 
{
	require_once (TEMPLPATH.'default_php'.EXT);
}

// повторная подгрузка тегов
preg_match_all('/\#\{\%(.*)\}/isU', $input['html_code'], $matches, PREG_SET_ORDER);
foreach ($matches as $key => $value)
{
	$search = $value[0];
	$replase = specialchars($value[1]);
	$replase_value = ''; 
	$replase_value = get_html_tag($input['html_source'], $replase);
	if ($replase_value==='') $replase_value = get_html_tag($input['html_default'], $replase);
	$input['html_code'] = str_replace($search, $replase_value, $input['html_code']);
}

// повторная подгрузка файлов
preg_match_all('/\#\{\^(.*)\}/isU', $input['html_code'], $matches, PREG_SET_ORDER);
foreach ($matches as $key => $value)
{
	$search = $value[0];
	$replase = specialchars($value[1]);
	$replase_value = ''; 
	$replase_value = get_file(HTMLPATH.trim($complete_dirname,'&/').DIRECTORY_SEPARATOR.$replase.EXT_HTML,$replase_value);
	if ($replase_value==='') $replase_value = get_file(HTMLPATH.$replase.EXT_HTML,$replase_value);
	if ($replase_value==='') $replase_value = get_file(TEMPLPATH.$replase.EXT_HTML,$replase_value);
	$input['html_code'] = str_replace($search, $replase_value, $input['html_code']);
}

// повторная подгрузка переменных из output
$input['html_code'] = print_var_to_text($input['html_code'], $output, '#{$', '}');


/*
Copyright © 2009 Максим Зимин (MacMax) macmax.ru

Программа защищена законами и международными соглашениями о правах на интеллектуальную собственность. 
Данная программа лицензируется и распространяется БЕСПЛАТНО.
Если закон страны или области Вашего проживания запрещает Вам использовать программу, 
или программа не допускается к использованию в Вашей стране или Вашей области проживания, 
воздержитесь от использования программы.

Разрешается повторное распространение и использование как в виде исходника так и в двоичной форме, 
с модификациями или без, при соблюдении следующих условий:
	1.	При повторном распространении исходного кода должно оставаться указанное выше уведомление об авторском праве, 
			этот список условий и нижеследующий отказ от гарантий.
	2.	При повторном распространении двоичного кода должно воспроизводиться указанное выше уведомление об авторском праве, 
			этот список условий и нижеследующий отказ от гарантий в документации и/или в других материалах, 
			поставляемых при распространении.
	3.	Ни название сайта macmax.ru, ни имена его владельцев и держателей не могут быть использованы 
			в качестве поддержки или продвижения продуктов, основанных на этом программном обеспечении 
			без предварительного письменного разрешения.

ЭТА ПРОГРАММА ПРЕДОСТАВЛЕНА БЕСПЛАТНО ДЕРЖАТЕЛЯМИ АВТОРСКИХ ПРАВ И/ИЛИ ДРУГИМИ СТОРОНАМИ «КАК ОНА ЕСТЬ» 
БЕЗ КАКОГО-ЛИБО ВИДА ГАРАНТИЙ, ВЫРАЖЕННЫХ ЯВНО ИЛИ ПОДРАЗУМЕВАЕМЫХ, ВКЛЮЧАЯ, НО НЕ ОГРАНИЧИВАЯСЬ ИМИ, 
ПОДРАЗУМЕВАЕМЫЕ ГАРАНТИИ КОММЕРЧЕСКОЙ ЦЕННОСТИ И ПРИГОДНОСТИ ДЛЯ КОНКРЕТНОЙ ЦЕЛИ. 
НИ В КОЕМ СЛУЧАЕ, ЕСЛИ НЕ ТРЕБУЕТСЯ СООТВЕТСТВУЮЩИМ ЗАКОНОМ, ИЛИ НЕ УСТАНОВЛЕНО В УСТНОЙ ФОРМЕ, 
НИ ОДИН ДЕРЖАТЕЛЬ АВТОРСКИХ ПРАВ И НИ ОДНО ДРУГОЕ ЛИЦО, КОТОРОЕ МОЖЕТ ИЗМЕНЯТЬ И/ИЛИ ПОВТОРНО 
РАСПРОСТРАНЯТЬ ПРОГРАММУ, КАК БЫЛО РАЗРЕШЕНО ВЫШЕ, НЕ ОТВЕТСТВЕННЫ ПЕРЕД ВАМИ ЗА УБЫТКИ, 
ВКЛЮЧАЯ ЛЮБЫЕ ОБЩИЕ, СЛУЧАЙНЫЕ, СПЕЦИАЛЬНЫЕ ИЛИ ПОСЛЕДОВАВШИЕ УБЫТКИ, 
ПРОИСТЕКАЮЩИЕ ИЗ ИСПОЛЬЗОВАНИЯ ИЛИ НЕВОЗМОЖНОСТИ ИСПОЛЬЗОВАНИЯ ПРОГРАММЫ (ВКЛЮЧАЯ, 
НО НЕ ОГРАНИЧИВАЯСЬ ПОТЕРЕЙ ДАННЫХ, ИЛИ ДАННЫМИ, СТАВШИМИ НЕПРАВИЛЬНЫМИ, 
ИЛИ ПОТЕРЯМИ ПРИНЕСЁННЫМИ ИЗ-ЗА ВАС ИЛИ ТРЕТЬИХ ЛИЦ, ИЛИ ОТКАЗОМ ПРОГРАММЫ РАБОТАТЬ СОВМЕСТНО С ДРУГИМИ ПРОГРАММАМИ), 
ДАЖЕ ЕСЛИ ТАКОЙ ДЕРЖАТЕЛЬ ИЛИ ДРУГОЕ ЛИЦО БЫЛИ ИЗВЕЩЕНЫ О ВОЗМОЖНОСТИ ТАКИХ УБЫТКОВ.

*/

?>