<?php   defined('SYSPATH') OR die('Доступ запрещен. Access denied.');

$query_string = ''; // все переданные параметры
$current_uri  = ''; // почищенная строка с запрошенным адресом и дополнительными параметрами
$complete_query = ''; // строка с параметрами (при вызове через URL rewriting не используется)
$complete_dirname = ''; // имя запрошенной папки
$complete_filename = ''; // имя запрошенного файла
$complete_uri = ''; // запрошенный URI
$complete_php_filename = ''; // имя запрошенного PHP файла

if ( ! empty($_SERVER['QUERY_STRING']))
{
	// Set the query string to the current query string
	$query_string = trim($_SERVER['QUERY_STRING'], '&/');
}

// Make sure the URL is not tainted with HTML characters
$current_uri = specialchars($query_string, FALSE);
// Remove all dot-paths from the URI, they are not valid
$current_uri = preg_replace('#\.[\s./]*/#', '', $current_uri);

@list ($complete_uri, $complete_query) = explode('?', $current_uri);
if (is_dir(HTMLPATH.$complete_uri)) $complete_uri .= DIRECTORY_SEPARATOR.INDEX.EXT_HTML;
$_pathinfo = pathinfo(DIRECTORY_SEPARATOR.$complete_uri);
$complete_dirname = $_pathinfo['dirname']; if ($complete_dirname AND $complete_dirname!=DIRECTORY_SEPARATOR) $complete_dirname .= '/';
$complete_filename = $_pathinfo['filename']; $complete_filename .= EXT_HTML;
$complete_php_filename = $_pathinfo['filename']; $complete_php_filename .= EXT;
unset($_pathinfo);
$complete_uri = $complete_dirname.$complete_filename;

if ( ! file_exists(HTMLPATH.$complete_uri))
{
	header ('HTTP/1.1 404 Not Found');
	echo '
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset="'.CHARSET.' />
'.$brouser_cache_meta_tags.'
<title>File Not Found</title>
</head>
<body>
<h1>File Not Found</h1>
<p>Error 404 Not Found</p>
</body>
</html>
	';

	exit();
};

/*
Copyright © 2009 Максим Зимин (MacMax) macmax.ru

Программа защищена законами и международными соглашениями о правах на интеллектуальную собственность. 
Данная программа лицензируется и распространяется БЕСПЛАТНО.
Если закон страны или области Вашего проживания запрещает Вам использовать программу, 
или программа не допускается к использованию в Вашей стране или Вашей области проживания, 
воздержитесь от использования программы.

Разрешается повторное распространение и использование как в виде исходника так и в двоичной форме, 
с модификациями или без, при соблюдении следующих условий:
	1.	При повторном распространении исходного кода должно оставаться указанное выше уведомление об авторском праве, 
			этот список условий и нижеследующий отказ от гарантий.
	2.	При повторном распространении двоичного кода должно воспроизводиться указанное выше уведомление об авторском праве, 
			этот список условий и нижеследующий отказ от гарантий в документации и/или в других материалах, 
			поставляемых при распространении.
	3.	Ни название сайта macmax.ru, ни имена его владельцев и держателей не могут быть использованы 
			в качестве поддержки или продвижения продуктов, основанных на этом программном обеспечении 
			без предварительного письменного разрешения.

ЭТА ПРОГРАММА ПРЕДОСТАВЛЕНА БЕСПЛАТНО ДЕРЖАТЕЛЯМИ АВТОРСКИХ ПРАВ И/ИЛИ ДРУГИМИ СТОРОНАМИ «КАК ОНА ЕСТЬ» 
БЕЗ КАКОГО-ЛИБО ВИДА ГАРАНТИЙ, ВЫРАЖЕННЫХ ЯВНО ИЛИ ПОДРАЗУМЕВАЕМЫХ, ВКЛЮЧАЯ, НО НЕ ОГРАНИЧИВАЯСЬ ИМИ, 
ПОДРАЗУМЕВАЕМЫЕ ГАРАНТИИ КОММЕРЧЕСКОЙ ЦЕННОСТИ И ПРИГОДНОСТИ ДЛЯ КОНКРЕТНОЙ ЦЕЛИ. 
НИ В КОЕМ СЛУЧАЕ, ЕСЛИ НЕ ТРЕБУЕТСЯ СООТВЕТСТВУЮЩИМ ЗАКОНОМ, ИЛИ НЕ УСТАНОВЛЕНО В УСТНОЙ ФОРМЕ, 
НИ ОДИН ДЕРЖАТЕЛЬ АВТОРСКИХ ПРАВ И НИ ОДНО ДРУГОЕ ЛИЦО, КОТОРОЕ МОЖЕТ ИЗМЕНЯТЬ И/ИЛИ ПОВТОРНО 
РАСПРОСТРАНЯТЬ ПРОГРАММУ, КАК БЫЛО РАЗРЕШЕНО ВЫШЕ, НЕ ОТВЕТСТВЕННЫ ПЕРЕД ВАМИ ЗА УБЫТКИ, 
ВКЛЮЧАЯ ЛЮБЫЕ ОБЩИЕ, СЛУЧАЙНЫЕ, СПЕЦИАЛЬНЫЕ ИЛИ ПОСЛЕДОВАВШИЕ УБЫТКИ, 
ПРОИСТЕКАЮЩИЕ ИЗ ИСПОЛЬЗОВАНИЯ ИЛИ НЕВОЗМОЖНОСТИ ИСПОЛЬЗОВАНИЯ ПРОГРАММЫ (ВКЛЮЧАЯ, 
НО НЕ ОГРАНИЧИВАЯСЬ ПОТЕРЕЙ ДАННЫХ, ИЛИ ДАННЫМИ, СТАВШИМИ НЕПРАВИЛЬНЫМИ, 
ИЛИ ПОТЕРЯМИ ПРИНЕСЁННЫМИ ИЗ-ЗА ВАС ИЛИ ТРЕТЬИХ ЛИЦ, ИЛИ ОТКАЗОМ ПРОГРАММЫ РАБОТАТЬ СОВМЕСТНО С ДРУГИМИ ПРОГРАММАМИ), 
ДАЖЕ ЕСЛИ ТАКОЙ ДЕРЖАТЕЛЬ ИЛИ ДРУГОЕ ЛИЦО БЫЛИ ИЗВЕЩЕНЫ О ВОЗМОЖНОСТИ ТАКИХ УБЫТКОВ.

*/
?>